Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class ASN1GeneralString

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.ASN1Primitive
              org.bouncycastle.asn1.ASN1GeneralString

All Implemented Interfaces:
  ASN1Encodable, ASN1String, Encodable

Direct Known Subclasses:
  DERGeneralString

public abstract class ASN1GeneralString
extends ASN1Primitive
implements ASN1String

ASN.1 GENERAL-STRING data type.

This is an 8-bit encoded ISO 646 (ASCII) character set with optional escapes to other character sets.

Method Summary
`static ASN1GeneralString` | `getInstance(ASN1TaggedObject taggedObject, boolean declaredExplicit)` Return a GeneralString from a tagged object.
`static ASN1GeneralString` | `getInstance(java.lang.Object obj)` Return a GeneralString from the given object.
`byte[]` | `getOctets()` Return a byte array representation of our contained String.
`java.lang.String` | `getString()` Return a Java String representation of our contained String.
`static ASN1GeneralString` | `getTagged(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class org.bouncycastle.asn1.ASN1Primitive
`encodeTo, encodeTo, equals, equals, equals, fromByteArray, fromStream, toASN1Primitive`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`getEncoded, getEncoded, hasEncodedTagValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getInstance

    public static ASN1GeneralString getInstance(java.lang.Object obj)

  Return a GeneralString from the given object.

  Parameters:
    `obj` - the object we want converted.
  Returns:
    an ASN1GeneralString instance, or null.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getInstance

    public static ASN1GeneralString getInstance(ASN1TaggedObject taggedObject,
                                                boolean declaredExplicit)

  Return a GeneralString from a tagged object.

  Parameters:
    `taggedObject` - the tagged object holding the object we want
    `declaredExplicit` - true if the object is meant to be explicitly tagged false otherwise.
  Returns:
    an ASN1GeneralString instance.
  Throws:
    `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

### getTagged

    public static ASN1GeneralString getTagged(ASN1TaggedObject taggedObject,
                                              boolean declaredExplicit)

### getString

    public final java.lang.String getString()

  Return a Java String representation of our contained String.

  Specified by:
    `getString` in interface `ASN1String`
  Returns:
    a Java String representing our contents.

### toString

    public java.lang.String toString()

### getOctets

    public final byte[] getOctets()

  Return a byte array representation of our contained String.

  Returns:
    a byte array representing our contents.

### hashCode

    public final int hashCode()

  Specified by:
    `hashCode` in class `ASN1Primitive`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD